# Buddy Platform Javascript SDK

A simple Buddy SDK for Javascript.

To use this SDK, include the buddy.js file, along with a reference to jQuery (any recent version of jQuery will do):

    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="buddy.js"></script>

Then, initialize your client:

    Buddy.init("[Your Buddy Application Name]", "[Your Buddy Application Password"]);

From here, you can easily call Buddy methods documented on the [Buddy docs page](http://buddy.com/documentation/) page, by picking a method name and calling it.  For example, calling [UserAccount_Profile_CheckUserEmail](http://buddy.com/documentation.aspx#UserAccount_Profile_CheckUserEmail), which checks if a user already exists with a given email:

    Buddy.callMethod('UserAccount_Profile_CheckUserEmail', 
                    {
                        UserNameToVerify: "someusername"
                    },
                    function(err, result) {
                        if (response === 'UserNameAvailable') {
                            // user name is available
                        }
                        else {
                            alert("That user name is taken, or an error occurred.");
                        }
                    }
    ;)
                    
In success cases, ```err``` will be null, otherwise the result will be found in ```result``` as documented.


### License
                    

#### Copyright (C) 2012 Buddy Platform, Inc.


Licensed under the Apache License, Version 2.0 (the "License"); you may not
use this file except in compliance with the License. You may obtain a copy of
the License at

  [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
License for the specific language governing permissions and limitations under
the License.


