
/**
 * Module dependencies.
 */

var express = require('express')
  , routes = require('./routes')
    , http = require('http')

var app =  express();

// Configuration

app.configure(function(){
  app.set('views', __dirname + '/views');
  app.set('view engine', 'jade');
  app.use(express.bodyParser());
  app.use(express.methodOverride());
  app.use(app.router);
  app.use(express.static(__dirname + '/public'));
  app.use(express.static(__dirname + '/../')); // ONLY for demo purposes.
});

app.configure('development', function(){
  app.use(express.errorHandler({ dumpExceptions: true, showStack: true })); 
});

app.configure('production', function(){
  app.use(express.errorHandler()); 
});

// Routes

app.get('/', routes.index);
var port = app.get('port') || process.env.PORT || 3000;
http.createServer(app).listen(port, function(){
  console.log('Express server listening on port ' + port);
});